> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /vpc/v1alpha1/allocations/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /vpc/v1alpha1/allocations/{id}:
    get:
      tags:
        - nebius.vpc.v1alpha1.AllocationService
      summary: Get
      operationId: AllocationService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vpcV1alpha1Allocation'
          description: A successful response.
components:
  schemas:
    vpcV1alpha1Allocation:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/vpcV1alpha1AllocationSpec'
        status:
          $ref: '#/components/schemas/vpcV1alpha1AllocationStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    vpcV1alpha1AllocationSpec:
      properties:
        ipv4Private:
          $ref: '#/components/schemas/vpcV1alpha1IPv4PrivateAllocationSpec'
        ipv4Public:
          $ref: '#/components/schemas/vpcV1alpha1IPv4PublicAllocationSpec'
      type: object
    vpcV1alpha1AllocationStatus:
      properties:
        assignment:
          $ref: '#/components/schemas/vpcV1alpha1Assignment'
        details:
          $ref: '#/components/schemas/vpcV1alpha1AllocationDetails'
        state:
          $ref: '#/components/schemas/vpcV1alpha1AllocationStatusState'
        static:
          description: >-
            If false - Lifecycle of allocation depends on resource that using
            it.
          type: boolean
      type: object
    vpcV1alpha1IPv4PrivateAllocationSpec:
      properties:
        cidr:
          description: >-
            CIDR block for IPv4 Allocation.

            May be a single IP address (such as 10.2.3.4),

            a prefix length (such as /24) or a CIDR-formatted string (such as
            10.1.2.0/24).

            Random address (/32) from pool would be allocated if field is
            omitted.
          type: string
        poolId:
          description: Pool for the IPv4 private allocation.
          type: string
        subnetId:
          title: >-
            Subnet ID.

            Required same subnet to use allocation in subnet-resources (e.g.
            Network Interface)
          type: string
      type: object
    vpcV1alpha1IPv4PublicAllocationSpec:
      properties:
        cidr:
          description: >-
            CIDR block for IPv4 Allocation.

            May be a single IP address (such as 10.2.3.4),

            a prefix length (such as /32) or a CIDR-formatted string (such as
            10.1.2.0/32).

            Random address (/32) from pool would be allocated if field is
            omitted.
          type: string
        poolId:
          description: Pool for the IPv4 public allocation.
          type: string
      type: object
    vpcV1alpha1Assignment:
      properties:
        loadBalancer:
          $ref: '#/components/schemas/vpcV1alpha1LoadBalancerAssignment'
        networkInterface:
          $ref: '#/components/schemas/vpcV1alpha1NetworkInterfaceAssignment'
      type: object
    vpcV1alpha1AllocationDetails:
      properties:
        allocatedCidr:
          type: string
        poolId:
          type: string
        version:
          $ref: '#/components/schemas/vpcV1alpha1IpVersion'
      type: object
    vpcV1alpha1AllocationStatusState:
      default: STATE_UNSPECIFIED
      description: |-
        Enumeration of possible states of the Allocation.

         - STATE_UNSPECIFIED: Default state, unspecified.
         - CREATING: Allocation is being created.
         - ALLOCATED: Allocation is ready for use.
         - ASSIGNED: Allocation is used.
         - DELETING: Allocation is being deleted.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - ALLOCATED
        - ASSIGNED
        - DELETING
      type: string
    vpcV1alpha1LoadBalancerAssignment:
      properties:
        id:
          description: ID of the Load Balancer.
          type: string
      type: object
    vpcV1alpha1NetworkInterfaceAssignment:
      properties:
        instanceId:
          description: ID of the Compute instance network interface belongs to.
          type: string
        name:
          title: Network interface name
          type: string
        type:
          $ref: '#/components/schemas/vpcV1alpha1NetworkInterfaceAssignmentType'
      type: object
    vpcV1alpha1IpVersion:
      default: IP_VERSION_UNSPECIFIED
      description: |2-
         - IP_VERSION_UNSPECIFIED: Default, unspecified IP version.
         - IPV4: IPv4 address.
         - IPV6: IPv6 address.
      enum:
        - IP_VERSION_UNSPECIFIED
        - IPV4
        - IPV6
      type: string
    vpcV1alpha1NetworkInterfaceAssignmentType:
      default: TYPE_UNSPECIFIED
      description: |2-
         - PRIMARY: Allocation is attached as the interface private IPv4 address.
         - ALIAS: Allocation is attached as an IP alias.
         - PUBLIC: Allocation is attached as the interface public IPv4 address.
      enum:
        - TYPE_UNSPECIFIED
        - PRIMARY
        - ALIAS
        - PUBLIC
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````